import Button from "@dftvue2-opentiny/vue-button";
import { iconSetting } from "@dftvue2-opentiny/vue-icon";
import Checkbox from "@dftvue2-opentiny/vue-checkbox";
import Modal from "@dftvue2-opentiny/vue-modal";
import { renderless, api } from "@dftvue2-opentiny/vue-renderless/detail-page/vue";
import { defineComponent, props, setup as _setup } from "@dftvue2-opentiny/vue-common";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    IconSetting: iconSetting(),
    TinyButton: Button,
    TinyModal: Modal,
    TinyCheckbox: Checkbox
  },
  props: [].concat(props, ["modelValue", "valueTitle", "title", "textSplit", "dialogTitle", "labelTitle", "tips", "saveButton", "cancelButton"]),
  emits: ["saveWarning"],
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api,
      extendOptions: {
        alert: Modal.alert
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-detail-page"
  }, [_c("div", {
    staticClass: "tiny-detail-page__header"
  }, [_c("span", [_vm._v(_vm._s(_vm.state.title))]), _c("div", {
    staticClass: "tiny-detail-page__header-icon",
    on: {
      "click": _vm.showDialog
    }
  }, [_c("IconSetting", {
    staticClass: "setIconStyle"
  })], 1)]), _c("ul", {
    staticClass: "tiny-detail-page__content"
  }, _vm._l(_vm.state.value, function(item, index) {
    return _c("li", {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: !item.hidden,
        expression: "!item.hidden"
      }],
      key: index,
      staticClass: "tiny-detail-page__content-item"
    }, [_c("span", {
      staticClass: "tiny-detail-page__content-item-span"
    }, [_vm._v(_vm._s(item.label) + _vm._s(_vm.state.textSplit))]), _vm._v(_vm._s(item.value) + " ")]);
  }), 0), _c("tiny-modal", {
    staticClass: "tiny-detail-dialog__wrapper",
    attrs: {
      "lock-scroll": false,
      "title": _vm.state.dialogTitle
    },
    model: {
      value: _vm.state.isShowDialog,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "isShowDialog", $$v);
      },
      expression: "state.isShowDialog"
    }
  }, [_c("div", {
    staticClass: "tiny-detail-dialog"
  }, [_c("div", {
    staticClass: "tiny-detail-dialog__header"
  }, [_c("span", [_vm._v(_vm._s(_vm.state.labelTitle))]), _c("div", {
    staticClass: "tiny-detail-dialog__header-check"
  }, [_c("tiny-checkbox", {
    attrs: {
      "indeterminate": _vm.state.indeterminate
    },
    on: {
      "change": _vm.checkAllHander
    },
    model: {
      value: _vm.state.checkAll,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "checkAll", $$v);
      },
      expression: "state.checkAll"
    }
  }, [_vm._v(_vm._s(_vm.state.valueTitle))])], 1)]), _c("ul", {
    staticClass: "tiny-detail-dialog__content"
  }, _vm._l(_vm.state.cloneValue, function(item, index) {
    return _c("li", {
      key: index,
      class: ["tiny-detail-dialog__content-item", {
        active: item.hidden
      }]
    }, [_c("span", [_vm._v(_vm._s(item.label))]), _c("tiny-checkbox", {
      staticStyle: {
        "margin-right": "113px"
      },
      on: {
        "click": function click($event) {
          $event.preventDefault();
          return _vm.checkValueHiddenItem(index);
        }
      },
      model: {
        value: item.hidden,
        callback: function callback($$v) {
          _vm.$set(item, "hidden", $$v);
        },
        expression: "item.hidden"
      }
    })], 1);
  }), 0), _c("div", {
    staticClass: "tiny-detail-dialog__footer"
  }, [_c("tiny-button", {
    attrs: {
      "type": "primary"
    },
    on: {
      "click": _vm.saveHandler
    }
  }, [_vm._v(_vm._s(_vm.state.saveButton))]), _c("tiny-button", {
    on: {
      "click": _vm.closeDialog
    }
  }, [_vm._v(_vm._s(_vm.state.cancelButton))])], 1)])])], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
